#
# spec file for package xgl (Version git_070104)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk attr audit-libs autoconf automake bash binutils bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel fonts-config freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs orbit2 orbit2-devel pam pam-modules pango patch pcre pcre-devel perl perl-base permissions pkg-config popt popt-devel rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-core xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-server xorg-x11-server-sdk xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xgl
BuildRequires:  freeglut-devel freetype2-devel gcc-c++ gconf2-devel libdrm-devel libpng-devel xorg-x11-proto-devel
%ifnarch s390 s390x
BuildRequires:  xorg-x11-sdk
%endif
Url:             http://www.freedesktop.org/Software/Xgl
License:        X11/MIT
Group:          System/X11/Servers/XF86_4
Provides:       Xgl
Obsoletes:      Xglx xglx
PreReq:         %fillup_prereq
Requires:       xgl-hardware-list
AutoReqProv:    on
Version:        git_070104
Release:        77.6
Summary:        Xserver that uses OpenGL for its drawing operations.
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc ppc64 ia64
Source:         xorg-server-1.1.99.1.tar.bz2 
Source1:        glitz-0.5.6.tar.gz
Source2:        MesaLib-6.5.2.tar.bz2 
Source3:        README.SUSE
Source4:        sysconfig.displaymanager.template
Patch:          xgl-suse-sysconfig.diff
Patch1:         xgl-xpstubs-link-hack.diff
Patch2:         xgl-logging.diff
Patch3:         xorg-maprules-tolower-fix.diff
Patch4:         xorg-java-wmhack.diff
Patch5:         xorg-mesa-delete-textures.diff
Patch6:         xorg-composite-avoid-frame-buffer-reads.diff
Patch7:         xorg-enable-xinerama-by-default.diff
Patch8:         xgl-glxext-call-lists.diff
Patch9:         xgl-glx-reset.diff
Patch10:        xgl-glxext-mesa652-glapi-table.diff
Patch11:        xorg-extraopts.diff
# Pre- Xorg 7.0 patches
Patch20:        xorg-security-file-dir.diff
Patch21:        bug-345127_IDEF2888_le_xserver1.3.patch
Patch22:        bug345128-IDEF2901.diff
Patch24:        bug345130-IDEF2902.diff
Patch25:        bug345131-IDEF2904.diff
Patch26:        bug348296-pcf_font_parser.diff
Patch27:        bug-243978_xcmisc.diff
Patch28:        bug343248-CVE-2007-5958.diff
Patch29:        bnc-345496.patch
Patch41:        bfo-bug15222.diff
Patch42:        commit-a6a7fad.diff
Patch43:        Xv-crashfix.diff
Patch44:        render-limits.patch
Patch45:        bug-332447_xgl-randr-update-sled-1.diff
Patch46:        bug-332447_xgl-resize-damage-pixmap-surfaces.diff
# Non-xgl patches
Patch30:        glitz-glx-get-proc-address.diff
Patch40:        Mesa-x86_64-fixes.patch
%if "%(xft-config --prefix)" == "/usr"
%define xorg_prefix /usr
%define xorg_default_font_path /usr/share/fonts/misc,/usr/share/fonts/truetype,/usr/share/fonts/Type1,/usr/share/fonts/100dpi,/usr/share/fonts/75dpi
%define xorg_rgb_path /usr/share/X11/rgb
%define xorg_xkb_path /usr/share/X11/xkb
%define xorg_xkb_output /var/lib/xkb/compiled/
%else 
%define xorg_prefix /usr/X11R6
%define xorg_default_font_path /usr/X11R6/lib/X11/fonts/misc,/usr/X11R6/lib/X11/fonts/truetype,/usr/X11R6/lib/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/100dpi,/usr/X11R6/lib/X11/fonts/75dpi
%define xorg_rgb_path /usr/X11R6/lib/X11/rgb
%define xorg_xkb_path /etc/X11/xkb
%define xorg_xkb_output /etc/X11/xkb/compiled
%endif

%description
Xgl is an Xserver that uses OpenGL for its drawing operations. Some
operations like antialiased font rendering is noticably faster with
this technology, and future graphics hardware might only have support
for 3D operations and no 2D core any more.

Note that this is highly experimental code, it has been tested only on
few hardware platforms, and depending on driver state it may even crash
your computer.



Authors:
--------
        Xgl is created mainly by David Reveman (Novell), with some additions
        from Dave Arlie, Matthias Hopf (SUSE), and Adam Jackson (NWNK).
        It uses the glitz API as an abstraction layer, which has been designed
        and implemented by David Reveman and Peter Nilsson (UMU).
        
        The X11 sample server, from which this code base derives, was
        originally designed by Phil Karlton and Susan Angebrandt of Digital,
        and Bob Scheifler (MIT).
        
        The KDrive DDX was derived from the X11 sample server, and was largely
        written by Keith Packard. Anders Carlsson and Jaymz Julian made
        significant contributions.
        
        Numerous others have contributed to the X11 project.

%debug_package
%prep
rm -rf %_builddir/%name
%setup -q -c -n %name -T -a 0 -a 1 -a 2
pushd xorg-*
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p0
%patch21 -p1
%patch22 -p1 
%patch24 -p1 
%patch25 -p1
%patch26
%patch27
%patch28 -p1
%patch29 -p1 
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%if "%xorg_prefix" == "/usr/X11R6"
# Pre-Xorg7.0 patches
%patch20 -p0
%endif
# Hack! Only report RANDR version 1.1 until Xgl supports more.
sed -i 's/RANDR_MAJOR/1/g;s/RANDR_MINOR/1/g' randr/randr.c
popd
pushd glitz-*
%patch30 -p0
popd
pushd Mesa-*
%patch40 -p0
popd

%build
PREFIX=%buildroot/%xorg_prefix/lib/xgl
mkdir -p $PREFIX
export PKG_CONFIG_PATH=$PREFIX/%_lib/pkgconfig:$PKG_CONFIG_PATH
#
## glitz
#
# Build inside own development system
pushd glitz-*
# Hack: build a convenience library instead of a static library (linked to a .so file afterwards)
# Should be removed as soon as the glitz package is updated
CFLAGS="-fPIC %optflags" ./configure --prefix=$PREFIX --libdir=$PREFIX/%_lib --disable-shared
CFLAGS="-fPIC %optflags" make install
popd
#
## xgl
#
pushd xorg-server-*
mesa="`echo %_builddir/%name/Mesa-*`"
./configure	--prefix=%xorg_prefix					\
		--libdir=%xorg_prefix/%_lib				\
		--with-default-font-path=%xorg_default_font_path	\
		--sysconfdir=/etc/X11					\
		--localstatedir=/var					\
		--with-rgb-path=%xorg_rgb_path				\
		--with-xkb-path=%xorg_xkb_path				\
		--with-xkb-output=%xorg_xkb_output			\
		--with-mesa-source=$mesa				\
		--with-release-snap=1					\
		--disable-xorg						\
		--disable-xprint					\
		--disable-dmx						\
		--disable-xvfb						\
		--disable-xnest						\
		--disable-aiglx						\
		--enable-xgl						\
		--enable-glx						\
		--enable-dri						\
		--enable-xglx						\
		CFLAGS="%optflags -fno-strict-aliasing"
make %{?jobs:-j %jobs}
popd

%install
PREFIX=%buildroot/%xorg_prefix/lib/xgl
mkdir -p %buildroot/var/adm/fillup-templates %buildroot/etc/X11/
pushd xorg-server-*
make DESTDIR=%buildroot install
popd
install -m 444 %_sourcedir/README.* .
install -m 644 %_sourcedir/sysconfig.displaymanager.template %buildroot/var/adm/fillup-templates/sysconfig.displaymanager-%name
rm -rf $PREFIX
find %buildroot \( -name \*.a -o -name \*.la \) -print -execdir rm \{\} +
rm %buildroot/%xorg_prefix/%_lib/pkgconfig/xorg-server.pc
rm -rf %buildroot/usr/%_lib/pkgconfig %buildroot/usr/include
rm %buildroot/%xorg_prefix/share/man/man1/Xserver.1
rm %buildroot/%xorg_prefix/share/aclocal/xorg-server.m4
rm %buildroot/%xorg_prefix/%_lib/xserver/SecurityPolicy
rm %buildroot/%xorg_xkb_output/README.compiled

%post
%{fillup_only -an displaymanager}

%postun
if test -x /sbin/SuSEconfig -a -f /sbin/conf.d/SuSEconfig.xdm ; then
  /sbin/SuSEconfig --module xdm
elif test -x /etc/X11/xdm/SuSEconfig.xdm ; then
  MD5DIR=/var/adm/SuSEconfig/md5 /etc/X11/xdm/SuSEconfig.xdm
else
  echo -e 'WARNING: SuSEconfig or requested SuSEconfig module not present!\n'
fi

%files
%defattr(-, root, root)
%doc README.*
%xorg_prefix/bin/Xgl
%dir %xorg_prefix/%_lib/xorg
%dir %xorg_prefix/%_lib/xorg/modules
%dir %xorg_prefix/%_lib/xorg/modules/xgl
%xorg_prefix/%_lib/xorg/modules/xgl/lib*
/var/adm/fillup-templates/sysconfig.displaymanager-%name

%changelog
* Thu Aug 14 2008 - mauro@suse.de
- Fix for the windows decoration redraw.
  + bug-332447_xgl-randr-update-sled-1.diff (bnc#332447)
  + bug-332447_xgl-resize-damage-pixmap-surfaces.diff (bnc#332447)
* Sat Jul 12 2008 - mauro@suse.de
- bfo-bug15222.diff (bfo#15222, bnc#374318)
  * CVE-2008-2360 - RENDER Extension heap buffer overflow
  * CVE-2008-2361 - RENDER Extension crash
  * CVE-2008-2362 - RENDER Extension memory corruption
  * CVE-2008-1379 - MIT-SHM arbitrary memory read
  * CVE-2008-1377 - RECORD and Security extensions memory corruption
- commit-a6a7fad.diff
  * Don't break grab and focus state for a window when redirecting
  it. (bnc #336219, bfo #488264)
- Xv-crashfix.diff
  * This avoids a crash in xf86XVReputVideo and also cleans up the
  code slightly. (bnc #358176)
- render-limits.patch
  * Added to fix a compilation error wih UINT32_MAX undefined.
* Wed Mar 12 2008 - mauro@suse.de
- Added bnc-345496.patch to fix bnc-345496 (X Server XFree86-MISC
  Extension Invalid Array Index Vulnerability)
* Fri Mar 07 2008 - mauro@suse.de
- Fix bnc-356596. Added:
  + bug-243978_xcmisc.diff
  + bug343248-CVE-2007-5958.diff
  + bug-345127_IDEF2888_le_xserver1.3.patch
  + bug345128-IDEF2901.diff
  + bug345130-IDEF2902.diff
  + bug345131-IDEF2904.diff
  + bug348296-pcf_font_parser.diff
* Thu Aug 16 2007 - mhopf@suse.de
- Strip randr back to 1.1 as long as 1.2 is not supported. (#262297)
* Mon Aug 13 2007 - dmueller@suse.de
- fix sysconfig keys not accessible via YaST
* Fri Apr 27 2007 - mhopf@suse.de
- Added -version, -showDefaultModulePath, -showDefaultLibPath. (#264668)
* Tue Apr 10 2007 - mhopf@suse.de
- Reordered & renamed patches consistently.
- Spec file cleanup.
- Added patch for missing Mesa 6.5.2 addaption.
- Compiled with -fno-strict-aliasing due to a number of aliasing failures.
* Tue Apr 10 2007 - mhopf@suse.de
- Fix glCallLists bug. (#227724).
- Exit on reset to make sure Xorg server is reset correctly. (#253429)
- Fixed mismatch with Mesa's glDeleteTextures opcodes. (#254888)
* Fri Mar 02 2007 - mhopf@suse.de
- Update %%setup to be more compatible (#249998).
* Wed Feb 28 2007 - mhopf@suse.de
- Fixed postun section. (#227660)
* Thu Feb 22 2007 - mhopf@suse.de
- Add xinerama support. (fate #300784)
- Add patch to avoid frame buffer reads and increase performance
  significantly on intel and ati hardware. (#189296)
* Wed Feb 21 2007 - mhopf@suse.de
- Added missing postun section. (#227660)
* Fri Jan 05 2007 - mhopf@suse.de
- Updated to newest git version.
- Updated to Mesa 6.5.2.
- Cleanup of spec file.
- Removed 'experimental' state from description.
* Thu Dec 21 2006 - sndirsch@suse.de
- fixed typos (Bug #219732)
* Tue Nov 21 2006 - mhopf@suse.de
- Updated README.SUSE to reflect current state.
* Thu Nov 16 2006 - mhopf@suse.de
- Fix missing prototype for glXGetProcAddressARB.
  This was in the gl.h header once, but isn't any longer...
* Thu Nov 16 2006 - dreveman@suse.de
- Add glXGetProcAddressARB workaround to glitz so that
  GLX_MESA_copy_sub_buffer is detected properly. #219114
* Wed Oct 18 2006 - dreveman@suse.de
- Update for modular X.
* Wed Aug 23 2006 - dmueller@suse.de
- SuSEconfig.xdm is gone
* Sat Aug 05 2006 - sndirsch@suse.de
- fixed font/xkb/rgb path for X.Org 7
* Wed Aug 02 2006 - danw@suse.de
- Revert incorrect changes to xorg HEAD xkb code that break the
  keyboard layout viewer. #179433 / bugs.freedesktop.org #7137
* Thu Jun 15 2006 - dmueller@suse.de
- build parallel
* Fri Jun 02 2006 - dreveman@suse.de
- Fix integer overflow in xglfill.c (bnc #151836)
- Add workaround to get java apps working. (bnc #151836)
- Add some basic YUY2 conversion code. (bnc #180807)
- Compute stride for other formats than YV12 correctly.
  (bnc #180807)
* Tue May 30 2006 - dreveman@suse.de
- Fix typo in xglFillSegment. (bnc #178234)
* Fri May 26 2006 - dreveman@suse.de
- Adjust for capStyle correctly in xglFillSegment. (bnc #178234)
- Add info logging. (bnc #178214)
* Mon May 22 2006 - dreveman@suse.de
- Fix pbuffer resize issue that caused the server to crash when
  using fglrx driver. (bnc #175637)
* Fri May 19 2006 - dreveman@suse.de
- Disable YUY2 format for XVideo as it's not accelerated and the
  software fallback got issues.
* Wed May 17 2006 - dreveman@suse.de
- exa.h randrstr.h are no longer installed by mistake.
* Wed May 17 2006 - dreveman@suse.de
- Fix a crash in the Sync extension.
* Fri May 12 2006 - dreveman@suse.de
- Fix issue with gradients that could crash the server.
- Fix so that XVideo works when dimensions are not multiple of 8.
- Fix GLX drawable destruction. (bnc 174253)
- Update to new version of Mesa. Old version had a vertex array bug
  that could cause the server to crash.
* Mon May 08 2006 - dreveman@suse.de
- Turn off automatic indicator changes on Xorg server. (bnc 165392)
* Wed May 03 2006 - dreveman@suse.de
- Update to final enums for GLX_EXT_texture_from_pixmap.
* Sun Apr 30 2006 - dreveman@suse.de
- Fix so events are correctly delivered when warping the pointer.
* Mon Apr 24 2006 - jpr@suse.de
- Do not package the white list here, that way we don't need to update
  all of xgl when a new card comes out.
* Wed Apr 19 2006 - dreveman@suse.de
- Fix YUV conversion issue.
- Fix support for running mutiple servers.
* Fri Apr 14 2006 - dreveman@suse.de
- Optimize same cases of texture loading. Makes some applications
  more resposive.
- Fix destruction of GLX buffers, which caused some GL apps to
  crash the server.
- Fix convolution filters.
- Add fast YUV conversion code and decent scaling code.
* Fri Apr 07 2006 - dreveman@suse.de
- Fix DPMS issue that caused server to hang.
* Thu Apr 06 2006 - dreveman@suse.de
- Add xgl-maprules-tolower-fix.diff to fix 64bit issue in xkb
  code.
- Fix PREFIX for glitz and proto packages.
- Remove some lines that were left from using compat70 tarboll.
* Wed Apr 05 2006 - ro@suse.de
- do not build as root
* Wed Apr 05 2006 - dreveman@suse.de
- Remove compat71 and add packages instead.
- DPMS support.
- Fix acceleration and threshold control for pointer devices.
* Mon Apr 03 2006 - dreveman@suse.de
- Update to CVS version of Xgl (2006-04-03).
- Remove libglx -> libglxext patch (included with CVS version).
- Remove XKB patch (included with CVS version).
- Remove starvation patch (included with CVS version).
- Remove GLX patch (included with CVS version).
- Include compat71.tar.bz2 as headers not part of compat70 are
  required by Xgl.
- New version glitz, with copy-sub-buffer support.
- New version Mesa, with copy-sub-buffer support.
- Fixed support for GL_ARB_vertex_program, GL_ARB_fragment_program
  and GL_EXT_framebuffer_object.
- Workaround for dead-lock when using fglrx driver.
- Add xgl-xpstubs-link-hack.diff patch to avoid a small linking
  issue.
* Tue Mar 28 2006 - mhopf@suse.de
- Fix for #159733 from David: libglx -> libglxext.
* Wed Mar 22 2006 - mhopf@suse.de
- Fix from CVS for #152401, #154663: Fixed XKB support.
- Fixed location of SecurityPolicy.
* Mon Mar 20 2006 - mhopf@suse.de
- Workaround for #74012: Xgl and process starvation on NVidia drivers.
* Wed Mar 15 2006 - mhopf@suse.de
- Add fix from CVS for bug #158191:
  Xgl fails/crashes when opening an OpenGL window w/o acceleration
- Cleanup of spec file.
- Implemented missing separation of make and install.
* Mon Mar 13 2006 - jpr@suse.de
- Add white list of cards
* Mon Mar 13 2006 - mhopf@suse.de
- Together with Mesa update fixes most of bug #157051
- Xgl update to CVS 2006-03-13:
  - Fix for TEXTURE_RECTANGLE (e.g. i915).
  - GL_ARB_vertex_program and GL_ARB_fragment_program support.
  - Remove renderbuffer from context.
  - New automatically generated code that includes GenProgramsNV fix.
  - Add GetProgramStringARB implementation.
* Fri Mar 10 2006 - mhopf@suse.de
- Xgl and Mesa update to CVS 2006-03-10:
  - Make sure that all preceding drawing commands are finished before
  switching context
  - Build against mesa head
  - Update to new GLX interface
  - #155686: Set screen dpi correctly
  - Make context current before we delete all gl objects
  - Fix glx screen wrapping
- Build system cleanup, now using xorg-x11-compat70-devel
* Thu Feb 23 2006 - dreveman@suse.de
- Update to glitz 0.5.4 with mipmap filter support.
- New server snapshot with indirect FBO support which can be used
  to generate mipmaps for redirected windows.
* Thu Feb 16 2006 - mhopf@suse.de
- glitz using RPM_OPT_FLAGS now (debuginfo).
* Thu Feb 16 2006 - dreveman@suse.de
- Update to glitz 0.5.3 with two important pixel transfer fixes
  and support for texture objects without requiring
  GL_ARB_texture_rectangle and GL_ARB_texture_border_clamp.
* Tue Feb 14 2006 - dreveman@suse.de
- New glitz snapshot. fglrx pbuffer patch not required with glitz
  CVS anymore.
- New xorg snapshot. Define HAVE_DIX_CONFIG_H when building mesa
  sources. Set rgb and font path correctly when running configure
  script.
- New mesa snapshot. Include dix-config.h in glheader.h so that
  mesa sources are built with 32bit XIDs as the rest of the server.
* Mon Feb 13 2006 - dreveman@suse.de
- New CVS snapshots of glitz and xorg.
- Use mesa CVS.
* Wed Feb 08 2006 - ro@suse.de
- add /usr/X11R6/lib/xorg to filelist
* Wed Feb 08 2006 - dreveman@suse.de
- Moved to Xorg tree.
- Use glitz CVS.
- Use Mesa 6.4.2.
* Mon Jan 30 2006 - mhopf@suse.de
- Workaround in compat70.tar.bz2 for obviously nontrivial font bug
- Fixed legal issues in some code files
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - mhopf@suse.de
- Fixed link process for non-i386
- Updated compatibility files for building on Xorg <7.0
- Cleanup
* Wed Jan 11 2006 - mhopf@suse.de
- Building and linking glitz statically only.
- Update to svn_104.
* Mon Dec 19 2005 - dreveman@suse.de
- Update to svn_95
* Thu Dec 15 2005 - dreveman@suse.de
- Update to svn_91.
- Removed glxcompmgr.
* Tue Nov 29 2005 - mhopf@suse.de
- Major update: Build process using Xorg 6.9 instead of internal
  kdrive.  Packages build with this process will work on pre-6.9
  only if libXau.so.6 and libXdmcp.so.6 are available.
- Contains several fixes for Xorg 6.9 build process that should be
  included into the Xorg base packages.
- Enabled Xevie support.
- Update to svn_83.
* Wed Nov 23 2005 - mhopf@suse.de
- Disabled Xevie support. glxcompmgr now at svn_77.
* Fri Nov 11 2005 - mhopf@suse.de
- Update to svn_77;
  Xevie from kdrive not supported, thus disabled.
  glxcompmgr is svn_59
* Mon Nov 07 2005 - sndirsch@suse.de
- make use of x-devel-packages and mesa-devel-packages macros in
  neededforbuild
* Tue Oct 25 2005 - mhopf@suse.de
- Builds on all architectures except s390
- Major update
- Bug fixes
- No Xglx-wrapper any more (embedded in Xgl)
- Updated documentation
* Tue Oct 18 2005 - mhopf@suse.de
- Making build 64bit clean
* Mon Oct 10 2005 - mhopf@suse.de
- Major update
- Based on SVN version now
* Fri Aug 26 2005 - mhopf@suse.de
- New version of former xglx package
